<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

include "in_1.php";


session_start();
/*if(!isset($_SESSION['logon_admin'])) {
  header('location:index.php');
  exit;
} */

$sc_usuario=$_SESSION['sc_usuario'];
$_SESSION['sc_usuario']=$sc_usuario;

//$botao 		= $_POST['botao'];

if ($botao == "")
{
	$botao 		= $_GET['botao'];
}
if ($botao == 'alterar usuario')
{
	$_SESSION['logon_admin'] = "setCras";
}
if ($botao == 'alterar senha')
{
	$_SESSION['logon_admin'] = "setSenha";
}
if ($botao == 'efetuar backup')
{
	$_SESSION['logon_admin'] = "setBackup";
}
if ($botao == 'restaurar backup')
{
	$_SESSION['logon_admin'] = "setRestore";
}

/*
if ($botao == 'menu principal')
{
   if ($_SESSION['tipo_perfil']=="C")
   {
	  header('location:main.php');
   }
   else
   {
	  header('location:main2.php');
   }
	exit;
}
*/

if ($botao == 'gerenciar usuario')
{
	$_SESSION['logon_admin'] = "admin_gerencia";
}
include "includes/begin.php";
$msn=$_GET["msn"];

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Cadastro de Usuarios dos Telecentros e CIDS</title>
<link href="stylo.css" rel="stylesheet" type="text/css" />
</head>

<script language="javascript">

function ValidaUsuario()
{
    var usuario = document.getElementById('form_usuario');
    var senha = document.getElementById('form_nSenha');

    if (usuario.value == '')
    {
        alert('Preencha o usuario');
        return false;
    }
    if (senha.value == '')
    {
        alert('Preencha a senha');
        return false;
    }
    return true;
}

function Valida()
{
    var usuario = document.getElementById('form_usuario');

    if (usuario.value == '')
	{
        	alert('Preencha o usuario');
	        return false;
	}



    var senha = document.getElementById('form_nSenha');
    var nova_senha = document.getElementById('form_cnSenha');



	if (senha.value == '')
	{
	        alert('Preencha a senha');
	        return false;
	}

        if (nova_senha.value == '')
	{
	        alert('Confirme a senha');
	        return false;
	}

        if (nova_senha.value != senha.value)
	{
	        alert('Senhas não conferem');
	        return false;
	}

        return true;

}

function ValidaAlteraUsuario()
{
         var usuario = document.getElementById('form_usuario');

    if (usuario.value == '')
	{
    	    alert('Preencha o usuario');
	        return false;
	}

  	if ( (document.getElementsByName('form_perfil')[1].checked ) && (document.getElementById('form_cras').value == ""))
        {
                alert("Selecione um CRAS");
        	return false;
        }

        var senha = document.getElementById('form_nSenha');
        var nova_senha = document.getElementById('form_cnSenha');

	if (senha.value != '')
	{
                if (nova_senha.value == '')
		{
		        alert('Confirme a senha');
		        return false;
		}

	        if (nova_senha.value != senha.value)
		{
		        alert('Senhas não conferem');
		        return false;
		}
	}

        return true;



}

function habilitaOpcoes(op)
{
  	if (op == "C")
    {
          document.getElementsByName('form_criausuario')[0].disabled = true;
          document.getElementsByName('form_criausuario')[1].disabled = true;
          document.getElementsByName('form_criausuario')[1].checked = true;

          document.getElementsByName('form_conferencia')[0].disabled = true;
          document.getElementsByName('form_conferencia')[1].disabled = true;
          document.getElementsByName('form_conferencia')[1].checked = true;

          document.getElementById('form_cras').disabled = false;
    }
    else
    {
          document.getElementsByName('form_criausuario')[0].disabled = false;
          document.getElementsByName('form_criausuario')[1].disabled = false;
//        document.getElementsByName('form_criausuario')[0].checked = true;

          document.getElementsByName('form_conferencia')[0].disabled = false;
          document.getElementsByName('form_conferencia')[1].disabled = false;
//        document.getElementsByName('form_conferencia')[0].checked = true;

          document.getElementById('form_cras').disabled = true;
          document.getElementById('form_cras').value = "";
    }
        return;

}

function abreAjuda()
{
    window.open("AjudaCultura.htm","", "scrollbars=yes, titlebar=no, status=no, menubar=no, resizable=no, width=600, heigth=100");
}

</script>


<body topmargin="0" leftmargin="0" >

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td bgcolor="#E77817" height="5"></td>
  </tr>
  <tr>
    <td bgcolor="#003366" height="5"></td>
  </tr>
  <tr>
    <td><table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#003366">
      <tr>
        <td width="31%"><img src="images/logo_NI.jpg" width="356" height="73" /></td>
        <td width="69%"><div align="center"><img src="images/t_matricula.jpg" width="370" height="58" /></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td bgcolor="#003366" height="5"></td>
  </tr>
  <tr>
    <td bgcolor="#E77817" height="5"></td>
  </tr>
  <tr>
    <td>


	<?

		?>
    <div align="right"><form action="gerencia.php" method="post" enctype="application/x-www-form-urlencoded" name="New_Form" id="New_Form">

      <?
      if ($administra == "S")
      {  ?>
         <label>
         <input name="botao" type="button" class="botao2" id="botao" value="Senha do administrador" onClick="window.location='gerencia.php?botao=alterar senha&<? echo$p; ?>'"/>
         </label>  <?
      }  ?>
      <label>
      <?if ($_SESSION['gerenciamento_estatisticas']=="S" || $_SESSION['usuario_administrador']=="S"){ ?>
//      <input name="botao" type="submit" class="botao2" id="botao" value="Estatisticas" />
      <?}?>
      </label>

      <?
      if ($botao == "alterar usuario" || $botao == "gerenciar usuario" || $botao == "alterar senha")
      {  ?>
         <label>
         <input name="botao" type="button" class="botao2" id="botao" value="Administra&ccedil;&atilde;o" onClick="window.location='gerencia.php?botao=gerenciar usuario&<? echo $p; ?>'" />
         </label>  <?
      }  ?>
      <?
      if ($administra == "S")
      {   ?>
         <label>
         <input name="botao" type="button" class="botao2" id="botao" value="Cadastro" onClick="window.location='main.php?<? echo $p; ?>'" />
         </label>  <?
      } ?>

      <?
      if ($confere == "S")
      {  ?>
         <label>
         <input name="botao" type="button" class="botao2" id="botao" value="Estatisticas" onClick="window.location='estatisticas.php?<? echo $p; ?>'"/>
         </label>  <?
      }  ?>
      <label>
      <input name="botao" type="button" class="botao2" id="botao" value="Sair" onClick="window.location='index.php'" />
      </label>
      
      <label>
      <input name="ajuda" id= "ajuda" type="button" value="Ajuda" class="produtos2" onclick="abreAjuda()" />
      </label>

      <?
      if ($administra == "s")
      {   ?>
         <label>
         <input name="botao" type="submit" class="botao2" id="botao" value="menu principal" />
         </label>    <?
      }   ?>

    </form></div>   </td>
  </tr>
  <tr>
    <td class="titulos2"><div align="center">
      <p>Sistema de Administração</p>
    </div></td>
  </tr>
  <?	
	if(($_SESSION['logon_admin']=='admin_setSenha')||($_SESSION['logon_admin']=='setSenha'))
	//if(trim($row['senha'])=='admin')
	{		
  ?>  
  <tr>
    <td><form action="rotinaGerencia.php?botao=alterar senha&<? echo $p; ?>" method="post" enctype="application/x-www-form-urlencoded" name="New_Form" id="New_Form">
        <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td><div align="center" class="titulos3">Alterar Senha do Administrador Principal</div></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF"><div align="center" class="endereco"><strong>
                <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '6':
				  echo "senha alterada com sucesso!";
				  break;
				case '7':
				  echo "erro ao atualizar CRAS!";
				  break;
				case '8':
				  echo "CRAS alterada com sucesso!";
				  break;
				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
                case '12':
                  echo "nome e senha do usuário sao iguais";
                  break;
                case '13':
                  echo "senha deve conter pelo menos 6 caracteres ou digitos";
                  break;
                case '14':
                  echo "Pelo menos metade da senha deve ser composta por numeros";
                  break;
                
				}
			?>
              &nbsp;</strong></div></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF"><table width="418" border="0" align="center" cellpadding="0" cellspacing="0">

                <tr>
                  <td><div align="right"><strong>senha atual:</strong></div></td>
                  <td colspan="2">&nbsp;
                  <input name="form_atualSenha" type="password" class="campos2" id="form_atualSenha" tabindex="1"/></td>
                </tr>

                <tr>
                  <td width="149"><div align="right"><strong>nova senha:</strong></div></td>
                  <td colspan="2">
                    &nbsp;
                  <input name="form_nSenha" type="password" class="campos2" id="form_nSenha" tabindex="2"/>                  </td>
                </tr>
                <tr>
                  <td><div align="right"><strong>confirma nova senha:</strong></div></td>
                  <td width="144">&nbsp;
                  <input name="form_cnSenha" type="password" class="campos2" id="form_cnSenha" tabindex="3"/></td>
                  <td width="125"><input name="botao" type="submit" class="botao2" tabindex="4" value="enviar senha" /></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td bgcolor="#EFEFEF">&nbsp;</td>
          </tr>
          <tr>
             <td height="10" colspan="7" class="titulos3"></td>
          </tr>
        </table>
    </form></td>
  </tr>

  <?
  }
  else
  if ($_SESSION['logon_admin']=='setCras')
  {
  ?>

  <tr>
    <td><form name="New_Form" action="rotinaGerencia.php?botao=alterar usuario&<? echo $p; ?>" method="POST" enctype="application/x-www-form-urlencoded">
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="titulos3">Edi&ccedil;&atilde;o de Administradores</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		    <div align="center" class="endereco"><strong>
		      <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '6':
				  echo "senha alterada com sucesso!";
				  break;
				case '7':
				  echo "erro ao atualizar dados!";
				  break;
				case '8':
				  echo "Perfil do usuario alterado com sucesso";
				  break;
				case '9':
				  echo "usuario já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário alterado com sucesso!";
				  break;
                case '12':
                  echo "senha do administrador igual ao seu nome";
                  break;
                case '13':
                  echo "Administrador nao pode alterar seu perfil";
                  break;
                case '14':
                  echo "Nada a alterar";
                  break;

				}
			?>
	        &nbsp;</strong></div></td>
        </tr>

       <tr>
          <td bgcolor="#EFEFEF"><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">

           <?
			// seleciona as cras
			$sql="select * from cultura.logon where usuario = '" . $_GET["usuarioAlterar"] . "'";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}

                        $row = pg_fetch_array($result);

                ?>

              <tr>
                <td><div align="right"><strong>Usu&aacute;rio:</strong></div></td>
                <td align="left">&nbsp;
                <input name="form_usuario_old" type="hidden" class="campos2" id="form_usuario_old" value="<? echo $row["usuario"];?>"/>

                <? echo $row["usuario"];?>
                <td>&nbsp;</td>
              </tr>

              <tr>

                <td align="left">&nbsp;
                  <input name="form_perfil" type="hidden" value="A" />

                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Cria Usu&aacute;rios:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_criausuario" type="radio" value="S" class="campos2" id="form_criausuario" <? if ($row["cria_usuario"] == "S") echo " checked"; ?> />Sim
                  <input name="form_criausuario" type="radio" value="N" class="campos2" id="form_criausuario" <? if ($row["cria_usuario"] == "N") echo " checked"; ?> />Não</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Confer&ecirc;ncia/Estat&iacute;sticas:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_conferencia" type="radio" value="S" class="campos2" id="form_conferencia" <? if ($row["conferencia_estatisticas"] == "S") echo " checked"; ?> />Sim
                  <input name="form_conferencia" type="radio" value="N" class="campos2" id="form_conferencia" <? if ($row["conferencia_estatisticas"] == "N") echo " checked"; ?>/>Não</td>
                <td>&nbsp;</td>
              </tr>


              <tr>
                <td><div align="right"><strong>Supervisiona Telecentro:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_supervisiona" type="radio" value="S" class="campos2" id="form_supervisiona" <? if ($row["supervisor"] == "S") echo " checked"; ?> />Sim
                  <input name="form_supervisiona" type="radio" value="N" class="campos2" id="form_supervisiona" <? if ($row["supervisor"] == "N") echo " checked"; ?>/>Não</td>
                <td>&nbsp;</td>
              </tr>




               <tr>
                <td colspan="2"><div align="center"><strong><i>Para alterar a senha atual do usu&aacute;rio, preencha os campos abaixo:</i></strong></div></td>
              </tr>
              <tr>
                <td><div align="right"><strong>Senha:</strong></div></td>
                <td>&nbsp;
                  <input name="form_nSenha" type="password" class="campos2"  value="" id="form_nSenha" tabindex="2"/></td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td width="135"><div align="right"><strong>Confirmar senha:</strong></div></td>
                <td width="150">&nbsp;
                  <input name="form_cnSenha" type="password" class="campos2" value="" id="form_cnSenha" tabindex="3"/></td>
                <td width="133"><div align="center">
                  <input name="botao" type="submit" class="botao2" tabindex="4" value="enviar" id="botao" onclick="return ValidaAlteraUsuario();"/>
                  <!--<input name="botaovoltar" type="submit" class="botao2" tabindex="4" value="voltar" id="botaovoltar" onclick="history.back(-1);"/>-->
                </div></td>
              </tr>



          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td height="10" colspan="7" class="titulos3"></td>
        </tr>
      </table>
        </form>
         <script language="javascript">
              habilitaOpcoes("<? echo $row["tipo_perfil"];?>");
         </script>
            </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <?
  }
  else
  if($_SESSION['logon_admin']=='admin_gerencia')
  //if(trim($row['numerocras'])=='')
  {
  ?>
  <tr>
    <td><form name="New_Form" action="rotinaGerencia.php?botao=gerenciar usuario&<? echo $p; ?>" method="POST" enctype="application/x-www-form-urlencoded" onsubmit="return ValidaUsuario();">
      <table width="450" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td><div align="center" class="titulos3">Cadastrar Administradores</div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
		    <div align="center" class="endereco"><strong>
		      <?
			  	switch ($msn)
				{
				case '1':
				  echo "erro na exclusão de usuário!";
				  break;
				case '2':
				  echo "usuário excluído com sucesso!";
				  break;
				case '3':
				  echo "erro na seleção de usuário!";
				  break;
				case '4':
				  echo "erro na alteração de senha!";
				  break;
				case '5':
				  echo "senhas não conferem!";
				  break;
				case '6':
				  echo "senha alterada com sucesso!";
				  break;
				case '7':
				  echo "erro ao atualizar usuário";
				  break;
                case '8':
				  echo "usuário alterado com sucesso!";
				  break;
				case '9':
				  echo "usuário já cadastrado!";
				  break;
				case '10':
				  echo "erro na geração da senha do usuario!";
				  break;
				case '11':
				  echo "usuário cadastrado com sucesso!";
				  break;
                case '12':
                  echo "nome do administrador igual a sua senha";
                  break;
                case '13':
                  echo "Administrador nao pode alterar seu perfil";
                  break;
                case '14':
                  echo "Nada a Alterar";
                  break;
				}
			?>
	        <td>&nbsp;</strong></div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF"><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td><div align="right"><strong>Usu&aacute;rio:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_usuario" type="text"  value="" class="campos2" id="form_usuario" tabindex="1"/></td>
                <td>&nbsp;</td>
              </tr>
                  <input name="form_perfil" type="hidden" value="A" class="campos2" id="form_perfil" />
                  <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Cria Usu&aacute;rios:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_criausuario" type="radio" value="S" class="campos2" id="form_criausuario" checked />Sim
                  <input name="form_criausuario" type="radio" value="N" class="campos2" id="form_criausuario" />Não</td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td><div align="right"><strong>Confer&ecirc;ncia/Estat&iacute;sticas:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_conferencia" type="radio" value="S" class="campos2" id="form_conferencia" checked />Sim
                  <input name="form_conferencia" type="radio" value="N" class="campos2" id="form_conferencia" />Não</td>
                <td>&nbsp;</td>
              </tr>


              <tr>
                <td><div align="right"><strong>Supervisiona Telecentro:</strong></div></td>
                <td align="left">&nbsp;
                  <input name="form_supervisiona" type="radio" value="S" class="campos2" id="form_supervisiona" checked />Sim
                  <input name="form_supervisiona" type="radio" value="N" class="campos2" id="form_supervisiona" />Não</td>
                <td>&nbsp;</td>
              </tr>




              <tr>
                <td><div align="right"><strong>Senha:</strong></div></td>
                <td>&nbsp;
                  <input name="form_nSenha" type="password" class="campos2" id="form_nSenha" tabindex="2"/></td>
                <td>&nbsp;</td>
              </tr>
              <tr>
                <td width="135"><div align="right"><strong>Confirmar senha:</strong></div></td>
                <td width="150">&nbsp;
                  <input name="form_cnSenha" type="password" class="campos2" id="form_cnSenha" tabindex="3"/></td>
                <td width="133"><div align="center">
                  <input name="botao" type="submit" class="botao2" tabindex="4" value="cadastrar" id="botao" onclick="return Valida();"/>
                </div></td>
              </tr>
          </table>            </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#003366" height="10"></td>
        </tr>
      </table>
        </form>    </td>
  </tr>
  <tr>
    <td><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="2" height="10"></td>
        </tr>
      <tr>
        <td width="20%" class="titulos3"><div align="center">Usuário</div></td>
        <td class="titulos3"><div align="center">Perfil</div></td>
        <td class="titulos3"><div align="center">Cria Usuário</div></td>
        <td class="titulos3"><div align="center">Conf. Estat&iacute;sticas</div></td>
        <td class="titulos3"><div align="center">Superv. Telecentro</div></td>
        <td class="titulos3"><div align="center">Criado por</div></td>
        <td class="titulos3"><div align="center">Data</div></td>
        <td class="titulos3"><div align="center">Ação</div></td>
      </tr>
        <?
      		// seleciona os usuarios
			$sql="select * from cultura.logon where usuario_administrador not in ('S') and tipo_perfil = 'A' order by usuario";
			$result=pg_query($dbh, $sql);

			if (!$result) {
			   //die("Erro na selecao do usuario" . pg_last_error());
			   header('location:index.php?msn=3');
			}


		    while($row = pg_fetch_array($result))
		    {
		?>
      <tr>
        <td><a href="?botao=alterar usuario&usuarioAlterar=<? echo $row['usuario'];?>&<? echo $p; ?>" class="botao"><? echo $row['usuario'];?></a></td>
        <td align="center"><? echo $row['tipo_perfil'];?></td>
        <td align="center"><? echo $row['cria_usuario'];?></td>
        <td align="center"><? echo $row['conferencia_estatisticas'];?></td>
        <td align="center"><? echo $row['supervisor'];?></td>
        <td align="center"><? echo $row['criou_usuario'];?></td>
        <td align="center"><? echo date('d/m/Y', strtotime($row["data_criacao_usuario"]));?></td>
        <td><div align="center"><a href="rotinaGerencia.php?acao=remover&idUser=<? echo $row['usuario'];?>&<? echo $p; ?>"><img src="images/excluir.gif" width="14" height="17" border="0" /></a></div></td>
      </tr>
      <? }?>
      <tr>
        <td height="10" colspan="8" class="titulos3"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <?

  }

  ?>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
   <? include "includes/rodape.php" ?>
  </tr>
</table>
</body>
</html>
<?
//carrega arquivo para finalizar conexão
include "includes/end.php";
?>
